PLAST(1)

NAME
plast - Parallel Local Sequence Alignment Search Tool

DESCRIPTION
plast 2.3.1

    - Build date: 2016-02-09 09:47:45 - OS: Linux-4.3.0-1-amd64 - Compiler: /usr/bin/cc (5.3.1) - Host CPU: 4 cores available

[*] denotes mandatory argument.

-p [*]:
    Program Name [plastp, tplastn, plastx, tplastx or plastn]

-d [*]:
    Subject database file

-i [*]:
    Query database file

-o :
    PLAST report Output File

-e :
    Expectation value

-n :
    Size of neighbourhood peforming ungapped extension

-s :
    Ungapped threshold trigger a small gapped extension

-g :
    threshold for small gapped extension

-b :
    bandwidth for small gapped extension

-a :
    Number of processors to use

-G :
    Cost to open a gap

-E :
    Cost to extend a gap

-xdrop-ungap :
    X dropoff value for Ungapped alignment (in bits) (zero invokes default behavior 20 bits)

-X :
    X dropoff value for gapped alignment (in bits) (zero invokes default behavior)

-Z :
    X dropoff value for final gapped alignment in bits (0.0 invokes default behavior)

-index-threshold :
    Index threshold to calculate the similarity between neighbour

-F :
    Filter query sequence

-M :
    Score matrix (BLOSUM62 or BLOSUM50)

-strand :
    strands for plastn: 'plus', 'minus' or 'both' (default)

-r :
    reward for a nucleotide match (plastn)

-q :
    penalty for a nucleotide mismatch (plastn)

-force-query-order :
    Force queries ordering in output file.

-max-database-size :
    Maximum allowed size (in bytes) for a database. If greater, database is segmented.

-max-hit-per-query :
    Maximum hits per query. 0 value will dump all hits (default)

-max-hsp-per-hit :
    Maximum alignments per hit. 0 value will dump all hits (default)

-outfmt :
    Output format: 1 for tabulated (default), 2 for extended tubulated, 4 for NCBI Blast-like.

-strands-list :
    List of the strands (ex: "1,2,6") to be used when using algo using nucleotids databases.

-optim-codon-stop :
    size of the allowed range between the last invalid character and the next stop codon

-factory-dispatcher :
    Factory that creates dispatcher.

-factory-statistics :
    Factory that creates statistics builder.

-factory-indexation :
    Factory that creates indexation builder.

-factory-hit-ungap :
    Factory that creates ungap hits iterator.

-factory-hit-smallgap :
    Factory that creates small gap hits iterator.

-factory-hit-fullgap :
    Factory that creates full gap hits iterator.

-factory-hit-composition :
    Factory that creates composition hits iterator.

-factory-gap-result :
    Factory that creates gap alignments result.

-factory-ungap-result :
    Factory that creates ungap alignments result.

-splitter :
    Factory that creates an alignment splitter. String: 'normal' or 'banded' (default)

-optim-filter-ungap :
    Optimization that filters out through ungap alignments.

-bargraph :
    Display a progress bar during execution.

-bargraph-size :
    Nb of characters of the bargraph.

-progression-file :
    Dump in a file the current execution percentage.

-verbose :
    Display information during algorithm execution.

-full-stats :
    Dump algorithm statistics.

-stats :
    Dump generic statistics.

-stats-fmt :
    Format of statistics: 'raw' (default) or 'xml'

-stats-auto :
    Automatic stats file creation

-alignment-progress :
    Dump in a file the growing number of ungap/ungap alignments during algorithm.

-resources-progress :
    Dump in a file information about resources during algorithm.

-plastrc :
    Pathname of the plast config file.

-xmlfilter :
    Uri of a XML filter file.

-seeds-use-ratio :
    Ratio of seeds to be used.

-seeds-index-filter :
    seeds length to be used for the indexation filter.

-complete-subject-database-stats-file :
    File path to the stats of the complete subject database

-W :
    size of the seeds

-h :
    help

Citing PLAST: Nguyen VH, Lavenier D. (2009) PLAST: parallel local alignment search tool for database comparison. BMC Bioinformatics, vol 10, no 329.

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.